# Reference Documentation

## Protocols

-   [ApolloClientProtocol](protocols/ApolloClientProtocol/)
-   [Cancellable](protocols/Cancellable/)
-   [GraphQLFragment](protocols/GraphQLFragment/)
-   [GraphQLInputValue](protocols/GraphQLInputValue/)
-   [GraphQLMapConvertible](protocols/GraphQLMapConvertible/)
-   [GraphQLMutation](protocols/GraphQLMutation/)
-   [GraphQLOperation](protocols/GraphQLOperation/)
-   [GraphQLQuery](protocols/GraphQLQuery/)
-   [GraphQLSelection](protocols/GraphQLSelection/)
-   [GraphQLSelectionSet](protocols/GraphQLSelectionSet/)
-   [GraphQLSubscription](protocols/GraphQLSubscription/)
-   [HTTPNetworkTransportDelegate](protocols/HTTPNetworkTransportDelegate/)
-   [HTTPNetworkTransportGraphQLErrorDelegate](protocols/HTTPNetworkTransportGraphQLErrorDelegate/)
-   [HTTPNetworkTransportPreflightDelegate](protocols/HTTPNetworkTransportPreflightDelegate/)
-   [HTTPNetworkTransportRetryDelegate](protocols/HTTPNetworkTransportRetryDelegate/)
-   [HTTPNetworkTransportTaskCompletedDelegate](protocols/HTTPNetworkTransportTaskCompletedDelegate/)
-   [JSONDecodable](protocols/JSONDecodable/)
-   [JSONEncodable](protocols/JSONEncodable/)
-   [Matchable](protocols/Matchable/)
-   [NetworkTransport](protocols/NetworkTransport/)
-   [NormalizedCache](protocols/NormalizedCache/)
-   [RequestCreator](protocols/RequestCreator/)
-   [UploadingNetworkTransport](protocols/UploadingNetworkTransport/)

## Structs

-   [ApolloRequestCreator](structs/ApolloRequestCreator/)
-   [GraphQLBooleanCondition](structs/GraphQLBooleanCondition/)
-   [GraphQLError](structs/GraphQLError/)
-   [GraphQLError.Location](structs/GraphQLError.Location/)
-   [GraphQLField](structs/GraphQLField/)
-   [GraphQLFile](structs/GraphQLFile/)
-   [GraphQLFragmentSpread](structs/GraphQLFragmentSpread/)
-   [GraphQLGETTransformer](structs/GraphQLGETTransformer/)
-   [GraphQLHTTPResponseError](structs/GraphQLHTTPResponseError/)
-   [GraphQLResult](structs/GraphQLResult/)
-   [GraphQLResultError](structs/GraphQLResultError/)
-   [GraphQLTypeCase](structs/GraphQLTypeCase/)
-   [GraphQLTypeCondition](structs/GraphQLTypeCondition/)
-   [GraphQLVariable](structs/GraphQLVariable/)
-   [Record](structs/Record/)
-   [RecordSet](structs/RecordSet/)
-   [Reference](structs/Reference/)

## Classes

-   [ApolloClient](classes/ApolloClient/)
-   [ApolloStore](classes/ApolloStore/)
-   [ApolloStore.ReadTransaction](classes/ApolloStore.ReadTransaction/)
-   [ApolloStore.ReadWriteTransaction](classes/ApolloStore.ReadWriteTransaction/)
-   [EmptyCancellable](classes/EmptyCancellable/)
-   [GraphQLQueryWatcher](classes/GraphQLQueryWatcher/)
-   [GraphQLResponse](classes/GraphQLResponse/)
-   [HTTPNetworkTransport](classes/HTTPNetworkTransport/)
-   [InMemoryNormalizedCache](classes/InMemoryNormalizedCache/)
-   [JSONSerializationFormat](classes/JSONSerializationFormat/)
-   [MultipartFormData](classes/MultipartFormData/)
-   [TaskData](classes/TaskData/)
-   [URLSessionClient](classes/URLSessionClient/)

## Enums

-   [ApolloClient.ApolloClientError](enums/ApolloClient.ApolloClientError/)
-   [CachePolicy](enums/CachePolicy/)
-   [GraphQLFile.GraphQLFileError](enums/GraphQLFile.GraphQLFileError/)
-   [GraphQLHTTPRequestError](enums/GraphQLHTTPRequestError/)
-   [GraphQLHTTPResponseError.ErrorKind](enums/GraphQLHTTPResponseError.ErrorKind/)
-   [GraphQLOperationType](enums/GraphQLOperationType/)
-   [GraphQLOutputType](enums/GraphQLOutputType/)
-   [GraphQLResult.Source](enums/GraphQLResult.Source/)
-   [HTTPNetworkTransport.ContinueAction](enums/HTTPNetworkTransport.ContinueAction/)
-   [JSONDecodingError](enums/JSONDecodingError/)
-   [URLSessionClient.URLSessionClientError](enums/URLSessionClient.URLSessionClientError/)

## Extensions

-   [ApolloClient](extensions/ApolloClient/)
-   [ApolloExtension](extensions/ApolloExtension/)
-   [Array](extensions/Array/)
-   [Bool](extensions/Bool/)
-   [Dictionary](extensions/Dictionary/)
-   [Double](extensions/Double/)
-   [Float](extensions/Float/)
-   [GraphQLError](extensions/GraphQLError/)
-   [GraphQLMapConvertible](extensions/GraphQLMapConvertible/)
-   [GraphQLMutation](extensions/GraphQLMutation/)
-   [GraphQLOperation](extensions/GraphQLOperation/)
-   [GraphQLQuery](extensions/GraphQLQuery/)
-   [GraphQLSelectionSet](extensions/GraphQLSelectionSet/)
-   [GraphQLSubscription](extensions/GraphQLSubscription/)
-   [GraphQLVariable](extensions/GraphQLVariable/)
-   [HTTPNetworkTransport](extensions/HTTPNetworkTransport/)
-   [Int](extensions/Int/)
-   [JSONDecodingError](extensions/JSONDecodingError/)
-   [JSONEncodable](extensions/JSONEncodable/)
-   [NetworkTransport](extensions/NetworkTransport/)
-   [Optional](extensions/Optional/)
-   [RawRepresentable](extensions/RawRepresentable/)
-   [Record](extensions/Record/)
-   [RecordSet](extensions/RecordSet/)
-   [Reference](extensions/Reference/)
-   [RequestCreator](extensions/RequestCreator/)
-   [String](extensions/String/)
-   [URL](extensions/URL/)

## Typealiases

-   [CacheKey](typealiases/CacheKey/)
-   [CacheKeyForObject](typealiases/CacheKeyForObject/)
-   [DataLoader.BatchLoad](typealiases/DataLoader.BatchLoad/)
-   [DidChangeKeysFunc](typealiases/DidChangeKeysFunc/)
-   [GraphQLID](typealiases/GraphQLID/)
-   [GraphQLMap](typealiases/GraphQLMap/)
-   [GraphQLResultHandler](typealiases/GraphQLResultHandler/)
-   [JSONDecodingError.Base](typealiases/JSONDecodingError.Base/)
-   [JSONObject](typealiases/JSONObject/)
-   [JSONValue](typealiases/JSONValue/)
-   [Record.Fields](typealiases/Record.Fields/)
-   [Record.Value](typealiases/Record.Value/)
-   [ResultMap](typealiases/ResultMap/)
-   [URLSessionClient.Completion](typealiases/URLSessionClient.Completion/)
-   [URLSessionClient.RawCompletion](typealiases/URLSessionClient.RawCompletion/)

## Methods

-   [unzip(__)](methods/unzip(__)/)
-   [unzip(__)](methods/unzip(__)/)

This file was generated by [SourceDocs](https://github.com/eneko/SourceDocs)